BCGMSSPublicKey (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.pqc.jcajce.provider.gmss

## Class BCGMSSPublicKey

- java.lang.Object
- - org.bouncycastle.pqc.jcajce.provider.gmss.BCGMSSPublicKey

- All Implemented Interfaces:
    java.io.Serializable, java.security.Key, java.security.PublicKey, CipherParameters

      public class BCGMSSPublicKey
      extends java.lang.Object
      implements CipherParameters, java.security.PublicKey

  This class implements the GMSS public key and is usually initiated by the GMSSKeyPairGenerator.
  See Also:
    `GMSSKeyPairGenerator`, `GMSSPublicKeySpec`, Serialized Form

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `` | `BCGMSSPublicKey(byte[] pub, GMSSParameters gmssParameterSet)` The constructor
    `` | `BCGMSSPublicKey(GMSSPublicKeyParameters params)`
    `protected` | `BCGMSSPublicKey(GMSSPublicKeySpec keySpec)` The constructor

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAlgorithm()` Returns the name of the algorithm
    `byte[]` | `getEncoded()`
    `java.lang.String` | `getFormat()`
    `GMSSParameters` | `getParameterSet()`
    `byte[]` | `getPublicKeyBytes()`
    `java.lang.String` | `toString()` Returns a human readable form of the GMSS public key

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BCGMSSPublicKey

          public BCGMSSPublicKey(byte[] pub,
                         GMSSParameters gmssParameterSet)

      The constructor
      Parameters:
        `pub` - a raw GMSS public key
        `gmssParameterSet` - an instance of GMSS Parameterset
      See Also:
        `GMSSKeyPairGenerator`

    - #### BCGMSSPublicKey

          protected BCGMSSPublicKey(GMSSPublicKeySpec keySpec)

      The constructor
      Parameters:
        `keySpec` - a GMSS key specification

    - #### BCGMSSPublicKey

          public BCGMSSPublicKey(GMSSPublicKeyParameters params)

  - ### Method Detail

    - #### getAlgorithm

          public java.lang.String getAlgorithm()

      Returns the name of the algorithm
      Specified by:
        `getAlgorithm` in interface `java.security.Key`
      Returns:
        "GMSS"

    - #### getPublicKeyBytes

          public byte[] getPublicKeyBytes()

      Returns:
        The GMSS public key byte array

    - #### getParameterSet

          public GMSSParameters getParameterSet()

      Returns:
        The GMSS Parameterset

    - #### toString

          public java.lang.String toString()

      Returns a human readable form of the GMSS public key
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A human readable form of the GMSS public key

    - #### getEncoded

          public byte[] getEncoded()

      Specified by:
        `getEncoded` in interface `java.security.Key`

    - #### getFormat

          public java.lang.String getFormat()

      Specified by:
        `getFormat` in interface `java.security.Key`